<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditSlider.ascx.cs" Inherits="Mindfire.Slider.EditSlider" %>

<style type="text/css">
.link
{
    border:0;
    font-size:70%;
    font-weight:bold;
}
.header
{
    border:0;
    font-size:80%;
    font-weight:bold;    
}
.td
{
    height:35px;
    border:0;
    font-size:80%;
    font-weight:bold;
    text-align:left;
}
.textboxresize
{
    resize:none;    
}
.tb1
{
    height:78px;    
}
.tb2
{
    height:115px;    
}
</style>

<script type="text/javascript">
    $(document).ready(function () {
        var multi_selector = new MultiSelector(document.getElementById('files_list'));
        multi_selector.addElement(document.getElementById('<%= my_file_element.ClientID %>'), document.getElementById('<%= hdTemplatePath.ClientID %>'));
    });
</script>

<script type="text/javascript">
    function imgUpload() {
        if (document.getElementById("files_list").innerHTML == "") {
            alert("Please select a image to upload");
            return false;
        }
        return true;
    }
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
<td>
<div id="div1" width="100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td align="left" class="header">
                <input type="file" id="my_file_element" name="file_1" runat="server" />&nbsp;&nbsp;
                <div id="files_list" style="text-align:left"></div>
                <br />
                <asp:LinkButton ID="lbImageUpload" runat="server" Text="UPLOAD" OnClick="lbImageUpload_Click" OnClientClick="return imgUpload();"></asp:LinkButton>
                <asp:HiddenField ID="hdTemplatePath" runat="server" />
            </td>
        </tr>
    </table>
</div>
<div id="divItemListLabel" width="100%">
    <table cellpadding="0" cellspacing="0" border="0" width="100%" align="center">
        <tr>
            <td align="center" class="header" style="font-size:10pt;">
                <u>ITEM LIST</u>
            </td>
        </tr>
    </table>
</div>
<div id="divItemList">
<asp:Panel ID="Panel1" runat="server" ScrollBars="Auto" Height="500">
    <asp:GridView ID="gvItemList" runat="server" AutoGenerateColumns="false" width="100%" OnRowEditing="gvItemList_RowEditing" OnRowUpdating="gvItemList_RowUpdating" OnRowCancelingEdit="gvItemList_RowCancelingEdit" OnRowDeleting="gvItemList_RowDeleting" ShowHeader="false">
        <Columns>
            <asp:TemplateField>
                <ItemTemplate>
                        <table width="100%" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td width="30%" style="vertical-align:top;padding-left:20px;padding-top:20px;">
                                                <table width="100%" cellpadding="0" cellspacing="0" border="0" valign="top">
                                                    <tr>
                                                        <td valign="top">
                                                            <font size="+1" color="#C88B11">
                                                                <asp:Label ID="lblItemId" runat="server" Text='<%# Bind("ItemId") %>' Visible="false"></asp:Label>
                                                                <asp:Label ID="lblModuleId" runat="server" Text='<%# Bind("ModuleId") %>' Visible="false"></asp:Label>
                                                                <asp:Label ID="lblItemTitle" runat="server" Text='<%# Bind("ItemTitle") %>' Font-Size="Large" ForeColor="#C88B11"></asp:Label>
                                                            </font>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td valign="top">                                                                
                                                            <asp:Label ID="lblItemSummary" runat="server" Text='<%# Bind("ItemSummary") %>'></asp:Label>                                                                
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td width="2%">
                                            </td>
                                            <td width="14%" style="vertical-align:top;padding-top:20px;">
                                                <asp:Image ID="imgItemPath" runat="server" ImageAlign="Middle" ImageUrl='<%# "~/DesktopModules/Slider/Images/" + Eval("ItemPath") %>' Width="100" Height="120" />
                                            </td>
                                            <td width="52%" style="vertical-align:top;padding-top:20px;">
                                                <asp:Label ID="lblItemDescription" runat="server" Text='<%# Bind("ItemDescription") %>'></asp:Label>
                                            </td>
                                            <td width="2%">
                                            </td>                                        
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align:right;height:20px">
                                    <asp:LinkButton ID="lbEdit" runat="server" Text="EDIT" CommandName="Edit"></asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbDelete" runat="server" Text="DELETE" CommandName="Delete"></asp:LinkButton>&nbsp;&nbsp;
                                </td>
                            </tr>
                        </table>        
                </ItemTemplate>
                <EditItemTemplate>
                        <table width="100%" cellpadding="0" cellspacing="0" border="0">
                            <tr>
                                <td>
                                    <table width="100%" cellpadding="0" cellspacing="0" border="0">
                                        <tr>
                                            <td width="30%" style="vertical-align:top;padding-left:20px;padding-top:20px;">
                                                <table width="100%" cellpadding="0" cellspacing="0" border="0" valign="top">
                                                    <tr>
                                                        <td valign="top" class="td">
                                                            <font size="+1" color="#C88B11">
                                                                <asp:Label ID="lblItemId" runat="server" Text='<%# Bind("ItemId") %>' Visible="false"></asp:Label>
                                                                <asp:Label ID="lblModuleId" runat="server" Text='<%# Bind("ModuleId") %>' Visible="false"></asp:Label>
                                                                <asp:TextBox ID="tbItemTitle" runat="server" Text='<%# Bind("ItemTitle") %>' Width="210px" MaxLength="25"></asp:TextBox>
                                                            </font>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td valign="top" class="td">
                                                            <asp:TextBox ID="tbItemSummary" runat="server" Text='<%# Bind("ItemSummary") %>' TextMode="MultiLine" Rows="4" Width="210px" CssClass="textboxresize tb1"></asp:TextBox>                                                                
                                                        </td>
                                                    </tr>
                                                </table>
                                            </td>
                                            <td width="2%">
                                            </td>
                                            <td width="14%" style="vertical-align:top;padding-top:20px;">
                                                <asp:Image ID="imgItemPath" runat="server" ImageAlign="Middle" ImageUrl='<%# "~/DesktopModules/Slider/Images/" + Eval("ItemPath") %>' Width="100" Height="100" />
                                                <br />
                                                <asp:FileUpload ID="fuImageEdit" runat="server" size="1" />
                                            </td>
                                            <td width="52%" style="vertical-align:top;padding-top:20px;">                                                
                                                <asp:TextBox ID="tbItemDescription" runat="server" Text='<%# Bind("ItemDescription") %>' TextMode="MultiLine" Rows="6" Width="430px" CssClass="textboxresize tb2"></asp:TextBox>
                                            </td>
                                            <td width="2%">
                                            </td>                                        
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td style="text-align:right;height:20px">
                                    <asp:LinkButton ID="lbUpdate" runat="server" Text="SAVE" CommandName="Update"></asp:LinkButton>&nbsp;&nbsp;
                                    <asp:LinkButton ID="lbCancel" runat="server" Text="CANCEL" CommandName="Cancel"></asp:LinkButton>&nbsp;&nbsp;                                    
                                </td>
                            </tr>
                        </table>                    
                </EditItemTemplate>
            </asp:TemplateField>
        </Columns>
    </asp:GridView>
</asp:Panel>
</div>
<br />
<div style="text-align:right;width:100%;vertical-align:middle">
    <asp:LinkButton ID="lbReturn" runat="server" Text="CANCEL" OnClick="lbReturn_Click"></asp:LinkButton>
</div>
</td>
</tr>
</table>